Package com.independentsoft.office.charts

# Class Marker

java.lang.Object
com.independentsoft.office.charts.Marker

public class Marker extends Object
The Class Marker.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Marker()`
  Instantiates a new marker.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Marker`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getSize()`
  Gets the size.
  `MarkerStyle`
  `getSymbol()`
  Gets the symbol.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setSize​(int size)`
  Sets the size.
  `void`
  `setSymbol​(MarkerStyle symbol)`
  Sets the symbol.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Marker

    public Marker()
    Instantiates a new marker.

- ## Method Details

  - ### clone

    public Marker clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getSize

    public int getSize()
    Gets the size.
    Returns:
      the size

  - ### setSize

    public void setSize​(int size)
    Sets the size.
    Parameters:
      `size` - the new size

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getSymbol

    public MarkerStyle getSymbol()
    Gets the symbol.
    Returns:
      the symbol

  - ### setSymbol

    public void setSymbol​(MarkerStyle symbol)
    Sets the symbol.
    Parameters:
      `symbol` - the new symbol